Subject: Re: bug#31111: Partition table wrongly identified as "atari"
From: Phil Susi <[email-masked]>
To: bouke_1 <[email-masked]>, [email-masked]
Date: Thu, 10 May 2018 14:52:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/10/2018 1:53 PM, Phil Susi wrote:
> I'd say so.  I can't reproduce the problem though by simply creating an
> image file and making the partitions as you describe.  Can you send your
> whole MBR so I can try to reproduce it and see if fixing this logic
> error fixes it?

Ok, after looking at the code it wasn't very hard to slap a few of the
right bytes into an empty file and trick atari_probe.  I've fixed it
now.  Will post the patch tomorrow.  Thanks.